%define version 0.9.66

Summary: 	Mac-on-Linux kernel modules
Name: 		mol-kmods
Version: 	%{version}
Release: 	2mdk
License: 	GPL
Group: 		Emulators
Source: 	ftp://ftp.nada.kth.se/home/f95-sry/Public/mac-on-linux/mol-kmods-%{version}.tar.bz2
Provides: 	mol-kernel-modules
URL:            http://www.maconlinux.com/
BuildRoot: 	%_tmppath/%name-%version-root
ExclusiveArch: 	ppc
BuildRequires:	kernel-source
Patch0:		mol-kmods-0.9.65_expand_stack.patch.bz2

%description

This package contains the Mac-on-Linux kernel module
needed by MOL. It also contains the sheep_net kernel
module (for networking).

%prep
%setup -q
%patch0 -p1

%build
%configure --enable-fhs
make clean
make -C scripts all
[ -d "%kernel_trees" ] && make modules KERNEL_TREES=%kernel_trees || make modules

%install
make -C src/netdriver install DESTDIR=$RPM_BUILD_ROOT
make install-modules DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -e /dev/sheep_net ]; then
mknod /dev/sheep_net c 10 198
fi


%files
%defattr(-,root,root)
%_libdir/mol/%{version}/modules/

%changelog
* Tue Mar  4 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.66-2mdk
- 2.4.21pre4-10mdk

* Sat Dec 28 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.66-1mdk
- new version

* Thu Dec  5 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.65-2mdk
- 2.4.20-1mdk

* Tue Oct 29 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.65-1mdk
- new version, build against 2.4.19-16mdk
- drop old patch0, patch for expand_stack (thx Samuel) (patch0)

* Fri Feb 15 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.60-3mdk
- rebuild for kernel 2.4.17-17mdk
- change creation of sheep_net dev node to %post

* Tue Dec  4 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.60-2mdk
- rebuild for cooker - kernel 2.4.13-12mdk

* Fri Aug 17 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.60-1mdk
- new version courtesy of Samuel - 1st Mandrake release with seperate kmods

* Sun Aug 7 2001 Samuel Rydh <samuel@ibrium.se>
- Modified for multi-module builds

* Sun Apr 29 2001 Samuel Rydh <samuel@ibrium.se>
- created

